#!/usr/bin/env python
#coding:utf8    ## důležité: určuje kódování souboru; nutno zvolit cp1250 nebo utf8 dle editoru

import sys, gtk
import numpy as np
import matplotlib
import matplotlib.cm
import matplotlib.pyplot as plt

files = [ "luxpop/SiC_llnl_cxro.nk", "luxpop/SiC_osantowski.nk", "luxpop/SiC_palik.nk", "luxpop/SiC_windt.nk", "luxpop/SiC_yanagihara.nk", ]
for number, file_name in enumerate(files):
    if file[-3:]=='.nk':
        lambda_angstr, n, k = np.loadtxt(file_name, usecols=[0,1,2], unpack=True, comments=';')
        eps = (n+1j*k)**2
        freq = 2.997e8 / (lambda_angstr*1e-10)
    color =  matplotlib.cm.hsv(float(number)/len(files))
    plt.plot(freq, eps, color=color, label=file_name)
    plt.plot(freq, eps.imag, ls='--', color=color)


plt.xscale('log')
#plt.yscale('symlog')
plt.legend()
#plt.xlog()
#plt.plot(lambda_angstr, k)
plt.show()
